com.genesyslab.wfm7.API.service.config750

## Class CfgSnapshot

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config750.CfgSnapshot

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgSnapshot
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private java.lang.String` | `snapshotID`
    `private long` | `timestamp`
    `private int` | `totalCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgSnapshot()`
    `CfgSnapshot(java.lang.String snapshotID, int totalCount, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getSnapshotID()` Gets the snapshotID value for this CfgSnapshot.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgSnapshot.
    `int` | `getTotalCount()` Gets the totalCount value for this CfgSnapshot.
    `int` | `hashCode()`
    `void` | `setSnapshotID(java.lang.String snapshotID)` Sets the snapshotID value for this CfgSnapshot.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgSnapshot.
    `void` | `setTotalCount(int totalCount)` Sets the totalCount value for this CfgSnapshot.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### snapshotID

          private java.lang.String snapshotID

    - #### totalCount

          private int totalCount

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgSnapshot

          public CfgSnapshot()

    - #### CfgSnapshot

          public CfgSnapshot(java.lang.String snapshotID,
                     int totalCount,
                     long timestamp)

  - ### Method Detail

    - #### getSnapshotID

          public java.lang.String getSnapshotID()

      Gets the snapshotID value for this CfgSnapshot.
      Returns:
        snapshotID

    - #### setSnapshotID

          public void setSnapshotID(java.lang.String snapshotID)

      Sets the snapshotID value for this CfgSnapshot.
      Parameters:
        `snapshotID` -

    - #### getTotalCount

          public int getTotalCount()

      Gets the totalCount value for this CfgSnapshot.
      Returns:
        totalCount

    - #### setTotalCount

          public void setTotalCount(int totalCount)

      Sets the totalCount value for this CfgSnapshot.
      Parameters:
        `totalCount` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgSnapshot.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgSnapshot.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.